<?php
/*
Plugin Name: LeadSquared Website Topbar
Plugin URI: http://help.leadsquared.com/how-can-i-use-leadsquareds-website-top-bar-plugin-for-wordpress/
Description: This plugin will add a nice, customizable bar on the top of your website. You can use it as a notification bar, a call-to-action bar or as an announcement. You can  customize the look and feel of the bar including the text and colors, and how long you want to show the bar on your website.
Version: 1.0
Author: LeadSquared, Inc.
Author URI: http://www.leadsquared.com/LeadSquared-For-WordPress
License: GPLv2
*/
define('LS_TOPBAR_ROOT', 'leadsquared-website-topbar');
define('LS_PLUGIN_URL', plugin_dir_url(__FILE__));
define('LS_PLUGIN_SLUG', 'leadsquared');
include_once('inc/TopNavBarSettings.php');
//date_default_timezone_set('Asia/Kolkata');
register_activation_hook(__FILE__, 'TopNavBarSettings::adding_database_fields');
register_deactivation_hook(__FILE__, 'TopNavBarSettings::removing_database_fields' );

add_action( 'admin_enqueue_scripts', 'scripts_for_admin_page' );


if(!function_exists('scripts_for_admin_page')){
	function scripts_for_admin_page(){
		if(is_admin()){
			
			//wp_register_style('bootstrap',plugins_url('demo-plugin-top-bar/css/bootstrap.css'));
			//wp_enqueue_style('bootstrap');
		
			//wp_register_style('bootstrap_responsive',plugins_url('demo-plugin-top-bar/css/bootstrap-responsive.css'));
			//wp_enqueue_style('bootstrap_responsive');
		
			wp_register_style('jquery_ui','http://code.jquery.com/ui/1.10.3/themes/smoothness/jquery-ui.css');
			wp_enqueue_style('jquery_ui');
			
			wp_register_style('timepickercss',plugins_url('LS_TOPBAR_ROOT/css/jquery-ui-timepicker-addon.css'));
			wp_enqueue_style('timepickercss');
			
			wp_register_style('innerstyle_admin',plugins_url('LS_TOPBAR_ROOT/css/innerstyle.css'));
			wp_enqueue_style('innerstyle_admin');
			
			// js files included
			
			//wp_register_script('jquery_scripta','http://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js');
			//wp_enqueue_script('jquery_scripta');
			
			wp_register_script('jquery-test','http://code.jquery.com/jquery-1.9.1.js');
			wp_enqueue_script('jquery-test');
									
			wp_register_script('datetimepicker_jquery_uia','http://code.jquery.com/ui/1.10.3/jquery-ui.js');
			wp_enqueue_script('datetimepicker_jquery_uia');
			
			//wp_register_script('datetimepicker_jquery_ui_slidera',plugins_url('demo-plugin-top-bar/js/datetimepicker/jquery-ui-sliderAccess.js'));
			//wp_enqueue_script('datetimepicker_jquery_ui_slidera');
			
			wp_register_script('datetimepicker_addona',plugins_url('LS_TOPBAR_ROOT/js/datetimepicker/jquery-ui-timepicker-addon.js'));
			wp_enqueue_script('datetimepicker_addona');
			
			//wp_register_script('bootstrap_jsa',plugins_url('demo-plugin-top-bar/js/bootstrap.min.js'));
			//wp_enqueue_script('bootstrap_jsa');
			
			wp_register_script('js_colora',plugins_url('LS_TOPBAR_ROOT/js/jscolor/jscolor.js'));
			wp_enqueue_script('js_colora');
			// style & design
			wp_register_script('leadsquaed_scripta',plugins_url('LS_TOPBAR_ROOT/js/admin_script.js'));
			wp_enqueue_script('leadsquaed_scripta');
			
			
		}
	}
}



add_action( 'wp_enqueue_scripts', 'leadsquared_scripts_enqueue' );
if(!function_exists('leadsquared_scripts_enqueue'))
{
	function leadsquared_scripts_enqueue()
	{
		if(!is_admin()){
			wp_register_script('jquery_script','http://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js');
			wp_enqueue_script('jquery_script');
			
			wp_register_script('cookies_script',plugins_url('LS_TOPBAR_ROOT/js/jquery-cookie-master/jquery.cookie.js'));
			wp_enqueue_script('cookies_script');
					
			wp_register_script('leadsquaed_script',plugins_url('LS_TOPBAR_ROOT/js/our_script.js'));
			wp_enqueue_script('leadsquaed_script');
			
			wp_register_style('nav_bar_style',plugins_url('LS_TOPBAR_ROOT/css/nav_bar_style.css'));
			wp_enqueue_style('nav_bar_style');
		}
	}
}
add_action('wp_head', 'add_topbar_hide_script');

function add_topbar_hide_script(){
	//echo '<script type="text/javascript" src="plugins_url(\'LS_TOPBAR_ROOT/js/our_script.js\')"></script>';
}


add_action('wp_head', 'print_on_which_page');
if(is_admin()){
	wp_register_style('LeadSquared-home-style', plugins_url( '/css/style.css' , __FILE__ ), array(), '1.0', 'all' );
	wp_enqueue_style( 'LeadSquared-home-style' );
}	
	function print_on_which_page()
	{
		
		//$id_of_page = get_the_ID();
		$get_json_data = get_option("leasquared_all_fields");
		
		$decode_data = json_decode($get_json_data,true);
		
		$toggle_button =$decode_data['toggle_button'];
		$fromTimezone = "Asia/Kolkata";
		$to_timezone_city = $decode_data['timezone_city'];
		$Topbar_living_time = $decode_data['Topbar_living_time'];
		
		
		//----------------------------Timezone conversion and detection-------------------------------//
		function conv($fromTime, $fromTimezone, $toTimezone) 
		{
			$from = new DateTimeZone($fromTimezone);
			$to = new DateTimeZone($toTimezone);
			
			$current_time = new DateTime($toTimezone);
			
			
			$orgTime = new DateTime($fromTime, $from);
			$toTime = new DateTime($orgTime->format("c"));
			$toTime->setTimezone($to);
			//return $toTime;
			$current_time_stamp = $current_time->getTimestamp();
			$living_time_stamp = $toTime->getTimestamp();
			if($current_time_stamp > $living_time_stamp){
				return true;
			}else{
				return false;
			}
			
		}
		if(!empty($to_timezone_city))
		{
			$checker = conv($Topbar_living_time,$fromTimezone,$to_timezone_city);
		}
		
		/*
		$current_time_stamp = $currentTime->getTimestamp();// my time stamp
		$living_time = new DateTime($Topbar_living_time);
		$living_time_stamp = $converted_time->getTimestamp();// his time stAMP
		*/
		
		//-------------------------------------------------------------------------------------------//
		
		
		if($toggle_button=="No"||empty($toggle_button)||$checker==true){
			
		}else{
			include_once('inc/page_html.php');
		}
		
	}
add_action('admin_menu','leadsquare_top_bar_nav_page');

//-------------------------------------------------------------------------------------------------------------------------------------------------------//

function leadsquare_top_bar_nav_page()
{
	global $menu;
	global $submenu;
	$menu_exist = false;
	if(is_array($menu)) 
	{
		foreach($menu as $item) 
		{
			if(strtolower($item[2]) == strtolower(LS_PLUGIN_SLUG)) 
			{
                $menuExist = true;
			}
		}
    }
	
    if(!$menuExist) 
	{ 
		add_menu_page('LeadSquared', 'LeadSquared', 'manage_options', LS_PLUGIN_SLUG, 'leadsquared_home_page', plugins_url( 'LS_TOPBAR_ROOT/images/icon.png' ));
		add_submenu_page(LS_PLUGIN_SLUG, '', '', 'manage_options', LS_PLUGIN_SLUG);
		add_submenu_page(LS_PLUGIN_SLUG, 'Website Topbar', 'Website Topbar', 'manage_options', 'top_nav_html_page_slug', 'TopNavBarSettings::top_nav_html_page');
	} 
	else 
	{
		add_submenu_page(LS_PLUGIN_SLUG, 'Website Topbar', 'Website Topbar', 'manage_options', 'top_nav_html_page_slug', 'TopNavBarSettings::top_nav_html_page');
	}

}

//-------------------------------------------------------------------------------------------------------------------------------------------------------//

if(!function_exists(leadsquared_home_page))
{
	function leadsquared_home_page()
	{
		include_once('inc/leadsquared-admin.php');
	}
}


//-------------------------------------------------------------------------------------------------------------------------------------------------------//



//-------------------------------------------------------------------------------------------------------------------------------------------------------//

//-------------------------------------------------------------------------------------------------------------------------------------------------------//

//-------------------------------------------------------------------------------------------------------------------------------------------------------//

//-------------------------------------------------------------------------------------------------------------------------------------------------------//



